//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <ActnList.hpp>
//---------------------------------------------------------------------------
class ECD5Comm : public Exception
{
public:
	inline __fastcall ECD5Comm(const AnsiString Msg) : Exception(Msg) { }
};

class TForm1 : public TForm
{
__published:	// IDE ŊǗR|[lg
	TLabel *ErrLabel;
	TLabel *CommStatLabel;
	TLabel *TotalReadLabel;
	TLabel *TotalDisplLabel;
	TLabel *BytesSecLabel;
	TLabel *CountSecLabel;
	TLabel *Label3;
	TLabel *Label6;
	TLabel *Label9;
	TLabel *Label10;
	TGroupBox *GroupBox1;
	TComboBox *PortCombo;
	TLabel *Label4;
	TCheckBox *CheckBox1;
	TButton *PurgeButton;
	TComboBox *BaudCombo;
	TLabel *Label5;
	TGroupBox *GroupBox2;
	TButton *StartContinuousButton;
	TButton *StopContinuousButton;
	TButton *SetBaudButton;
	TComboBox *CD5BaudCombo;
	TButton *Measure1Button;
	TLabel *Label1;
	TEdit *DisplEdit;
	TButton *GetTypeButton;
	TLabel *Label2;
	TButton *ActiveSweepButton;
	TBevel *Bevel1;
	TActionList *ActionList1;
	TAction *OpenPort;
	TAction *GetType;
	TAction *Measure1;
	TAction *ActiveSweep;
	TAction *StartContinuous;
	TAction *StopContinuous;
	TAction *Batch;
	TAction *SetBaud;
	TButton *BatchButton;
	TButton *AbortButton;
	TAction *Abort;
	TComboBox *TypeCombo;
	void __fastcall Measure1Execute(TObject *Sender);
	void __fastcall GetTypeExecute(TObject *Sender);
	void __fastcall ActiveSweepExecute(TObject *Sender);
	void __fastcall PassiveSweepButtonClick(TObject *Sender);
	void __fastcall StartContinuousExecute(TObject *Sender);
	void __fastcall StopContinuousExecute(TObject *Sender);
	void __fastcall OpenPortExecute(TObject *Sender);
	void __fastcall BaudComboClick(TObject *Sender);
	void __fastcall PurgeButtonClick(TObject *Sender);
	void __fastcall PortComboDropDown(TObject *Sender);
	void __fastcall BatchExecute(TObject *Sender);
	void __fastcall SetBaudExecute(TObject *Sender);
	void __fastcall PortOpenUpdate(TObject *Sender);
	void __fastcall AbortExecute(TObject *Sender);

private:
	void __fastcall AppException(TObject *Sender, Exception *E);
	double base_dist, range;
	BYTE *burst_buffer;
	DWORD timeout;
	int burst_count;
	int total_read;
	int total_displ;
	HANDLE handle;
	COMSTAT comstat;
	DWORD port_errors;
	bool abort_flag;

public:
	__fastcall TForm1(TComponent* Owner);
	__fastcall ~TForm1();
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
